List operations
curl --request GET \
--url https://api.sandbox.tracefinance.com/v1/operations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tracefinance.com/v1/operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tracefinance.com/v1/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "2a4b9d9e-3f2b-5c4b-ae3f-8d2b5c4bae3f",
"customer": {
"id": "11111111-1111-1111-1111-111111111111"
},
"sourceAmount": {
"value": "5000.00",
"asset": "BRL",
"decimals": 2
},
"targetAmount": {
"value": "1000.000000",
"asset": "USDT",
"decimals": 6
},
"intent": {
"type": "SWAP"
},
"currentState": {
"status": "COMPLETED",
"createdAt": "2026-04-27T14:15:02Z"
},
"createdAt": "2026-04-27T14:12:33Z",
"updatedAt": "2026-04-27T14:15:02Z"
},
{
"id": "4c6d1f2a-5b4c-6d5e-cf5b-0f4d6e5fcf5b",
"customer": {
"id": "11111111-1111-1111-1111-111111111111"
},
"sourceAmount": {
"value": "250.00",
"asset": "BRL",
"decimals": 2
},
"targetAmount": {
"value": "250.00",
"asset": "BRL",
"decimals": 2
},
"intent": {
"type": "TRANSFER",
"targetAccount": {
"id": "b2c3d4e5-6f70-8901-bcde-f12345678901",
"owner": "Acme Filial Rio Ltda"
}
},
"currentState": {
"status": "REQUESTED",
"createdAt": "2026-05-06T16:24:11Z"
},
"createdAt": "2026-05-06T16:24:11Z",
"updatedAt": "2026-05-06T16:24:11Z"
}
],
"meta": {
"previousCursor": null,
"nextCursor": "b3BlcmF0aW9uOjIwMjYtMDUtMDZUMTY6MjQ6MTFa",
"total": 2
}
}
List operations
Lists all operations for the authenticated customer.
GET
/
v1
/
operations
List operations
Authorizations
JWT bearer token. Include as Authorization: Bearer <token>. See the Authentication guide for how to obtain one.
Headers
API version. Omit to use the default version.
Example:
"1"
Query Parameters
Maximum number of items to return. Defaults to 10.
Required range:
1 <= x <= 100Opaque cursor for fetching the next or previous page.
Direction of pagination relative to the cursor.
Available options:
NEXT, PREVIOUS Sort order for results. Defaults to DESCENDING.
Available options:
ASCENDING, DESCENDING Was this page helpful?
⌘I